VisualEditor: Handle 'meta' templates better
Closed, ResolvedPublic

Description

Some templates are only used to include metadata, e.g. categories. In this example http://en.wikipedia.org/w/index.php?title=Ashton_Agar&oldid=564224425&veaction=edit the document starts with two such categories, producing linebreak characters, with templates spanning 0 characters in between (accessible still be cursoring). An uninitiated user may just decide to delete this whole line at the the top, thus removing the hidden templates.

Perhaps we need to detect if a template contains no meaningful content and then move it into the metadata so it can't be accidentally deleted. We'd also need a UI for editing them though.


Version: unspecified
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=51420

bzimport set Reference to bz51322.
Esanders created this task.Via LegacyJul 14 2013, 2:03 PM
jayvdb added a comment.Via ConduitJul 18 2013, 8:11 AM

To help searching: the cited examples are {{Use dmy dates}} and {{Use Australian English}}.

Increasing importance/priority because they can be deleted unintentionally, and it is very unlikely a new user will know how to add them back before they click save.

jayvdb added a comment.Via ConduitJul 18 2013, 8:14 AM

Another example given on WP:VEF is {{Link FA}}

jayvdb added a comment.Via ConduitJul 21 2013, 11:00 PM
  • This bug has been marked as a duplicate of bug 49806 ***
Esanders added a comment.Via ConduitJul 23 2013, 1:41 PM

This is not the same as bug 51420. This specifically concerns templates which only produce 'metadata' in the VE-data-model meaning of the term.

gerritbot added a comment.Via ConduitJul 23 2013, 1:42 PM

Change 75331 had a related patch set uploaded by Esanders:
Handle meta-only transculsions as meta items

https://gerrit.wikimedia.org/r/75331

jayvdb added a comment.Via ConduitJul 23 2013, 6:30 PM

I marked this as a dup of bug 49806, not dup of 51420.

gerritbot added a comment.Via ConduitJul 24 2013, 2:29 PM

Change 75331 merged by jenkins-bot:
Handle meta-only transclusions as meta items

https://gerrit.wikimedia.org/r/75331

Jdforrester-WMF added a comment.Via ConduitJul 24 2013, 2:39 PM

Fixed and will get deployed in a few minutes.

TheDJ added a comment.Via ConduitAug 5 2013, 4:31 PM

Additional issue with empty HTML elements produced by templates (which are used for metadata) in bug 52551.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.